Cant update system and/or install OMV-Extras

    • OMV 1.0
    • Resolved
    • Cant update system and/or install OMV-Extras

      Greetings everyone!

      I just installed OMV 1.9 on my machine but I cannot update the system trough the WebGUI nor CLI.
      My other problem is that I cant install OMV-Extras.org.

      When I hit check I get this error message:

      Source Code

      1. Error #4000:
      2. exception 'OMVException' with message 'Failed to execute command 'export LANG=C; apt-get update 2>&1': E
      3. :
      4. Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
      5. E
      6. :
      7. Unable to lock directory /var/lib/apt/lists/
      8. ' in /usr/share/openmediavault/engined/rpc/apt.inc:276
      9. Stack trace:
      10. #0 [internal function]: OMVRpcServiceApt->update(NULL, Array)
      11. #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      12. #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('update', NULL, Array)
      13. #3 /usr/sbin/omv-engined(500): OMVRpc::exec('Apt', 'update', NULL, Array, 1)
      14. #4 {main}
      Display All


      and when I try to install OMV-Extras:

      Source Code

      1. Error #4000:
      2. exception 'OMVException' with message 'Failed to execute command 'export LANG=C; apt-get update 2>&1': E: Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
      3. E: Unable to lock directory /var/lib/apt/lists/' in /usr/share/openmediavault/engined/rpc/apt.inc:276
      4. Stack trace:
      5. #0 [internal function]: OMVRpcServiceApt->update(NULL, Array)
      6. #1 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array)
      7. #2 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('update', NULL, Array)
      8. #3 /usr/sbin/omv-engined(500): OMVRpc::exec('Apt', 'update', NULL, Array, 1)
      9. #4 {main}


      Thanks in advance.
    • After hours of searching and brainstorming I found out and solved the problem:

      Apt-get couldnt communicate with the repos, gave me "Could not resolve host … No address associated with hostname" errors, even that I set up my DNS in the GUI.

      Then I found this.

      I fired up WinSCP and checked the mentioned file, and I found out it was contained wrong DNS IPs somehow.

      I edited then run

      Source Code

      1. sudo /etc/init.d/networking restart


      And then Apt-get update worked flawlessly.

      I hope it will help somebody who`s in my shoes.